<?php
namespace BooklyGroupBooking\Backend\Modules\Appointments\ProxyProviders;

use Bookly\Backend\Modules\Appointments\Proxy\GroupBooking as RatingsProxy;

/**
 * Class Local
 * @package BooklyGroupBooking\Backend\Modules\Appointments\ProxyProviders
 */
class Local extends RatingsProxy
{
    /**
     * @inheritdoc
     */
    public static function renderTableHeader()
    {
        printf( '<th>%s</th>', __( 'Number of persons', 'bookly' ) );
    }

    /**
     * @inheritdoc
     */
    public static function renderExport()
    {
        printf( '<div class="checkbox"><label><input checked name="exp[number_of_persons]" type="checkbox"/>%s</label></div>', __( 'Number of persons', 'bookly' ) );
    }

    /**
     * @inheritdoc
     */
    public static function prepareExportTitles( $titles )
    {
        $titles['number_of_persons'] = __( 'Number of persons', 'bookly' );

        return $titles;
    }
}