<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use Bookly\Backend\Components;
?>
<div id="bookly-tbs" class="wrap">
    <div class="bookly-tbs-body">
        <div class="page-header text-right clearfix">
            <div class="bookly-page-title">
                <?php _e( 'Locations', 'bookly' ) ?>
            </div>
            <?php Components\Support\Buttons::render( $self::pageSlug() ) ?>
        </div>

        <div class="panel panel-default bookly-main">
            <div class="panel-body">
                <div class="form-inline bookly-margin-bottom-lg text-right">
                    <div class="form-group">
                        <?php Components\Controls\Buttons::renderModalActivator( 'bookly-location-modal', 'btn-success bookly-btn-block-xs', esc_html__( 'Add Location', 'bookly' ), array(), '<i class="glyphicon glyphicon-plus"></i> {caption}' ) ?>
                    </div>
                    <?php Components\Dialogs\TableSettings\Dialog::renderButton( 'locations' ) ?>
                </div>

                <table id="bookly-locations" class="table table-striped" width="100%">
                    <thead>
                    <tr>
                        <th></th>
                        <th width="24"></th>
                        <?php foreach ( $datatables['locations']['settings']['columns'] as $column => $show ) : ?>
                            <?php if ( $show ) : ?>
                                <th><?php echo $datatables['locations']['titles'][ $column ] ?></th>
                            <?php endif ?>
                        <?php endforeach ?>
                        <th width="75"></th>
                        <th width="16"><input type="checkbox" id="bookly-locations-check-all"/></th>
                    </tr>
                    </thead>
                </table>

                <div class="text-right">
                    <?php Components\Controls\Buttons::renderDelete() ?>
                </div>
            </div>
        </div>
        <?php Components\Dialogs\TableSettings\Dialog::render() ?>
    </div>

    <?php include '_modal.php' ?>
</div>