<?php
namespace BooklyMultiplyAppointments\Lib;

use Bookly\Lib as BooklyLib;
use BooklyMultiplyAppointments\Backend\Modules as Backend;
use BooklyMultiplyAppointments\Frontend\Modules as Frontend;
use BooklyMultiplyAppointments\Backend\Components;

/**
 * Class Plugin
 * @package BooklyMultiplyAppointments\Lib
 */
abstract class Plugin extends BooklyLib\Base\Plugin
{
    protected static $prefix;
    protected static $title;
    protected static $version;
    protected static $slug;
    protected static $directory;
    protected static $main_file;
    protected static $basename;
    protected static $text_domain;
    protected static $root_namespace;
    protected static $embedded;

    /**
     * @inheritdoc
     */
    public static function init()
    {
        // Init proxy.
        Backend\Appearance\ProxyProviders\Local::init();
        Backend\Appearance\ProxyProviders\Shared::init();
        Components\TinyMce\ProxyProviders\Shared::init();
        if ( get_option( 'bookly_multiply_appointments_enabled' ) ) {
            Frontend\Booking\ProxyProviders\Shared::init();
        }
    }

}