<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use BooklyMultisite\Lib\Utils\Common;
Common::notice( $errors, 'notice-error' ) ?>
<form method="post">
    <div class="panel panel-default">
        <div class="panel-heading">
            <a href="<?php echo esc_attr( $url ) ?>"><?php echo $url ?></a>
        </div>
        <div class="panel-body">
            <div style="max-width: 500px">
                <div class="form-group">
                    <p class="help-block"><?php _e( 'Upon providing the purchase code you will have access to free updates of Bookly. The updates may contain functionality improvements and important security fixes. For more information on where to find your purchase code see this <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-can-I-find-my-Purchase-Code" target="_blank">page</a>.', 'bookly-multisite' ) ?></p>
                </div>
                <?php do_action( 'Bookly\Backend\Components\Settings\Proxy\Pro::renderPurchaseCode', $blog_id ) ?>
            </div>
        </div>
        <div class="panel-footer">
            <input type="hidden" name="domain" value="<?php echo esc_attr( Common::getSLD( $url ) ) ?>">
            <input type="hidden" name="blog_id" value="<?php echo $blog_id ?>">
            <button type="submit" class="btn btn-info"><?php _e( 'Save', 'bookly-multisite' ) ?></button>
            <a href="<?php echo Common::escNetworkAdminUrl( \BooklyMultisite\Modules\Network\Controller::page_slug ) ?>" class="btn btn-link"><?php _e( 'Cancel', 'bookly-multisite' ) ?></a>
        </div>
    </div>
</form>