<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * @var array  $service_collection
 * @var array  $service
 */
?>
<div id="bookly-js-service-packages" class="bookly-margin-top-lg">
    <div class="form-group">
        <label for="package_service"><?php _e( 'Service', 'bookly' ) ?></label>
        <select class="form-control bookly-js-package-sub-service" id="package_service" name="package_service">
            <option value="0"><?php _e( 'Select service', 'bookly' ) ?></option>
            <?php foreach ( $service_collection as $_service ) : ?>
                <?php if ( $_service['id'] != $service['id'] && $_service['type'] == \Bookly\Lib\Entities\Service::TYPE_SIMPLE && $_service['units_max'] == 1 ) : ?>
                    <option value="<?php echo $_service['id'] ?>"<?php if ( isset( $service['sub_services'][0] ) ) {selected( $_service['id'], $service['sub_services'][0]['sub_service_id'] );} ?>><?php echo esc_html( $_service['title'] ) ?></option>
                <?php endif ?>
            <?php endforeach ?>
        </select>
        <input type="hidden" id="bookly-js-package-service-changed" name="package_service_changed" value="0"/>
    </div>
    <div class="form-group">
        <label><?php esc_html_e( 'Unassigned', 'bookly' ) ?></label>
        <p class="help-block"><?php _e( 'Enable this setting so that the package can be displayed and available for booking when clients have not specified a particular provider.', 'bookly' ); ?></p>
        <div class="radio"><label><input type="radio" name="package_unassigned" value="0" <?php checked( $service['package_unassigned'], 0 ) ?>> <?php esc_html_e( 'Disabled', 'bookly' ) ?></label></div>
        <div class="radio"><label><input type="radio" name="package_unassigned" value="1" <?php checked( $service['package_unassigned'], 1 ) ?>><?php esc_html_e( 'Enabled', 'bookly' ) ?></label></div>
    </div>
    <div class="form-group">
        <label for="package_size"><?php _e( 'Quantity', 'bookly' ) ?></label>
        <input id="package_size" class="form-control" type="number" min="1" step="1" name="package_size" value="<?php echo esc_attr( $service['package_size'] ? : 10 ) ?>">
    </div>
    <div class="form-group">
        <label for="package_life_time"><?php _e( 'Life Time', 'bookly' ) ?></label>
        <p class="help-block"><?php _e( 'The period in days when the customer can use a package of services.', 'bookly' ) ?></p>
        <input id="package_life_time" class="form-control" type="number" min="0" step="1" name="package_life_time" value="<?php echo esc_attr( $service['package_life_time'] ? : 30 ) ?>">
    </div>
</div>