<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<div class="form-group">
    <label><?php esc_html_e( 'Repeat', 'bookly' ) ?></label>
    <p class="help-block"><?php esc_html_e( 'Allow this service to have recurring appointments.', 'bookly' ) ?></p>
    <div class="radio"><label><input type="radio" name="recurrence_enabled" value="0" <?php checked( $service['recurrence_enabled'], 0 ) ?>> <?php esc_html_e( 'Disabled', 'bookly' ) ?></label></div>
    <div class="radio"><label><input type="radio" name="recurrence_enabled" value="1" <?php checked( $service['recurrence_enabled'], 1 ) ?>><?php esc_html_e( 'Enabled', 'bookly' ) ?></label></div>
</div>
<div class="form-group"<?php if ( ! $service['recurrence_enabled'] ) : ?> style="display: none;"<?php endif ?>>
    <label><?php _e( 'Frequencies', 'bookly' ) ?></label>
    <ul class="bookly-js-simple-dropdown bookly-js-frequencies"
        data-container-class="bookly-dropdown-block"
        data-icon-class="dashicons dashicons-calendar"
        data-txt-select-all="<?php esc_attr_e( 'All', 'bookly' ) ?>"
        data-txt-all-selected="<?php esc_attr_e( 'All', 'bookly' ) ?>"
        data-txt-nothing-selected="<?php esc_attr_e( 'Nothing selected', 'bookly' ) ?>"
    >
        <?php foreach ( $frequencies as $type ): ?>
            <li data-input-name="recurrence_frequencies[]" data-value="<?php echo $type ?>" data-selected="<?php echo (int) in_array( $type, $recurrence_frequencies ) ?>">
                <?php esc_html_e( ucfirst( $type ), 'bookly' ) ?>
            </li>
        <?php endforeach ?>
    </ul>
</div>