<?php
namespace BooklyServiceSchedule\Backend\Modules\Services\ProxyProviders;

use Bookly\Lib as BooklyLib;
use Bookly\Backend\Modules\Services\Proxy;
use BooklyServiceSchedule\Lib;
use Bookly\Backend\Modules\Staff\Forms\Widgets\TimeChoice;

/**
 * Class Local
 * @package BooklyServiceSchedule\Backend\Modules\Services\ProxyProviders
 */
class Local extends Proxy\ServiceSchedule
{
    /**
     * @inheritdoc
     */
    public static function getTabHtml( $service_id )
    {
        /** @global \WP_Locale $wp_locale */
        global $wp_locale;

        $weekday       = $wp_locale->weekday;
        $start_of_week = (int) get_option( 'start_of_week' );
        $choice_start  = new TimeChoice( array( 'use_empty' => true, 'type' => 'from', 'empty_value' => __( 'OFF', 'bookly' ) ) );
        $choice_end    = new TimeChoice( array( 'use_empty' => false, 'type' => 'to' ) );
        $working       = Lib\Entities\ServiceScheduleDay::query()->where( 'service_id', $service_id )->indexBy( 'day_index' )->fetchArray();
        $sch_day_ids   = $breaks = array();
        for ( $i = 1; $i <= 7; $i ++ ) {
            if ( isset( $working[ $i ] ) ) {
                $sch_day_ids[] = $working[ $i ]['id'];
            }
        }
        if ( $sch_day_ids ) {
            $break_rows = Lib\Entities\ServiceScheduleBreak::query()->whereIn( 'service_schedule_day_id', $sch_day_ids )
                ->sortBy( 'start_time' )->fetchArray();
            foreach ( $break_rows as $break ) {
                $breaks[ $break['service_schedule_day_id'] ][] = $break;
            }
        }

        return self::renderTemplate( 'weekly_schedule', compact( 'service_id', 'working', 'weekday', 'choice_start', 'choice_end', 'start_of_week', 'breaks' ), false );
    }

    /**
     * @inheritdoc
     */
    public static function renderTab()
    {
        self::renderTemplate( 'schedule_tab' );
    }
}