<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use Bookly\Backend\Components\Controls\Buttons;
use Bookly\Backend\Components\Controls\Inputs;
?>
<div class="form-group bookly-js-weekly-container">
    <?php for ( $i = 1; $i <= 7; $i ++ ) :
        $day_index = ( $start_of_week + $i ) < 8 ? $start_of_week + $i : $start_of_week + $i - 7; ?>
        <div class="bookly-range-row">
            <div class="row bookly-padding-vertical-xs">
                <div class="col-md-6 padding-lr-none">
                    <div class="col-md-3 col-xs-12">
                        <?php echo $weekday[ $day_index == 7 ? 6 : ( $day_index - 1 ) ] ?>
                    </div>
                    <div class="col-md-4 col-xs-5">
                        <?php
                        echo $choice_start->render(
                            'service_schedule[start_time][' . $day_index . ']',
                            isset( $working[ $day_index ]['start_time'] ) ? $working[ $day_index ]['start_time'] : null,
                            array( 'class' => 'parent-range-start form-control' )
                        );
                        ?>
                    </div>
                    <div class="col-md-1 col-xs-2 text-center bookly-hide-on-off">
                        <?php _e( 'to', 'bookly' ) ?>
                    </div>
                    <div class="col-md-4 col-xs-5 bookly-hide-on-off">
                        <?php
                        echo $choice_end->render(
                            'service_schedule[end_time][' . $day_index . ']',
                            isset( $working[ $day_index ]['end_time'] ) ? $working[ $day_index ]['end_time'] : '18:00:00',
                            array( 'class' => 'parent-range-end form-control' )
                        );
                        ?>
                    </div>
                </div>
                <div class="col-md-4 bookly-breaks-wrapper bookly-hide-on-off">
                    <button type="button" class="bookly-js-service-schedule-toggle-popover btn btn-link bookly-btn-unborder" data-day_index="<?php echo $day_index ?>">
                        <?php _e( 'add break', 'bookly' ) ?>
                    </button>
                    <?php $self::renderTemplate( '_breaks', array( 'breaks' => isset( $working[ $day_index ]['id'], $breaks[ $working[ $day_index ]['id'] ] ) ? $breaks[ $working[ $day_index ]['id'] ] : array() ) ) ?>
                </div>
            </div>
        </div>
    <?php endfor ?>
</div>