<?php
namespace BooklySpecialDays\Backend\Modules\Staff\ProxyProviders;

use Bookly\Backend\Modules\Staff\Proxy;
use Bookly\Lib as BooklyLib;

/**
 * Class Shared
 * @package BooklySpecialDays\Backend\Modules\Staff\ProxyProviders
 */
class Shared extends Proxy\Shared
{
    /**
     * @inheritdoc
     */
    public static function renderStaffTab()
    {
        self::renderTemplate( 'tab' );
    }

    /**
     * @inheritdoc
     */
    public static function enqueueStaffProfileScripts()
    {
        self::enqueueScripts( array(
            'module' => array( 'js/special-days.js' => array( 'jquery' ), ),
            'bookly' => array(
                'backend/resources/js/moment.min.js',
                'frontend/resources/js/spin.min.js'  => array( 'jquery' ),
                'frontend/resources/js/ladda.min.js' => array( 'jquery' ),
            )
        ) );

        wp_localize_script( 'bookly-special-days.js', 'SpecialDaysL10n', array(
            'datePicker'      => BooklyLib\Utils\DateTime::datePickerOptions(),
            'are_you_sure'    => __( 'Are you sure?', 'bookly' ),
            'start_time'      => '08:00:00',
            'end_time'        => '18:00:00',
            'saved'           => __( 'Settings saved.', 'bookly' ),
            'duplicate_error' => __( 'Duplicate dates are not permitted.', 'bookly' ),
        ) );
    }

    /**
     * @inheritdoc
     */
    public static function enqueueStaffProfileStyles()
    {
        self::enqueueStyles( array(
            'bookly' => array( 'frontend/resources/css/ladda.min.css', )
        ) );
    }
}