<?php
namespace BooklySpecialDays\Lib\ProxyProviders;

use BooklySpecialDays\Lib;
use Bookly\Lib as BooklyLib;

/**
 * Class Shared
 * @package BooklySpecialDays\Lib\Shared\ProxyProviders
 */
class Shared extends BooklyLib\Proxy\Shared
{
    /**
     * @inheritdoc
     */
    public static function adjustMinAndMaxTimes( $times )
    {
        $sd_times = Lib\Entities\StaffSpecialDay::query()
            ->select( 'SUBSTRING_INDEX(MIN(start_time), ":", 2) AS min_start_time,
                SUBSTRING_INDEX(MAX(end_time), ":", 2) AS max_end_time' )
            ->whereNot( 'date', null )
            ->whereNot( 'start_time', null )
            ->fetchRow();

        if ( ! empty( $sd_times ) ) {
            if ( $sd_times['min_start_time'] ) {
                if ( ! $times['min_start_time'] || $sd_times['min_start_time'] < $times['min_start_time'] ) {
                    $times['min_start_time'] = $sd_times['min_start_time'];
                }
            }

            if ( $sd_times['max_end_time'] ) {
                if ( ! $times['max_end_time'] || $sd_times['max_end_time'] > $times['max_end_time'] ) {
                    $times['max_end_time'] = $sd_times['max_end_time'];
                }
            }
        }

        return $times;
    }
}