(function ($) {
    window.booklyStaffCalendar = function (Options) {
        var options = {
            fullcalendar: {
                // General Display.
                header: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'month,agendaWeek,agendaDay'
                },
                views: {
                    agendaWeek: {
                        columnFormat: 'ddd, D'
                    }
                }
            },
            getCurrentStaffId: function () {
                return Options.staff_id;
            },
            l10n: BooklySCCalendarL10n,
            is_backend: false
        };

        // Init FullCalendar.
        var calendar = new BooklyCalendar($('#bookly-fc-wrapper .bookly-js-calendar-element'), options);

        // Export to CSV modal
        $('.bookly-js-export-btn').click(function () {
            $("#bookly-js-export-dialog").modal('show');
        });

        $('#bookly-js-export-dialog').on('show.bs.modal', function () {
            var calendar_view = $('#bookly-fc-wrapper .bookly-js-calendar-element').fullCalendar('getView');
            if (moment.isMoment(calendar_view.start)) {
                $('.bookly-js-export-start').val(calendar_view.start.format('YYYY-MM-DD'));
                $('.bookly-js-export-end').val(calendar_view.end.format('YYYY-MM-DD'));
            } else {
                $('.bookly-js-export-start').val(moment(calendar_view.start).format('YYYY-MM-DD'));
                $('.bookly-js-export-end').val(moment(calendar_view.end).format('YYYY-MM-DD'));
            }
        });
    }
})(jQuery);