<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use Bookly\Backend\Components\Controls\Buttons;
use Bookly\Backend\Components\Controls\Inputs;
use Bookly\Backend\Components\Dialogs\Appointment;
use Bookly\Lib\Utils\Common;
use Bookly\Lib\Config;
?>
<script type="text/javascript">
    (function (win, fn) {
        var done = false, top = true,
            doc = win.document,
            root = doc.documentElement,
            modern = doc.addEventListener,
            add = modern ? 'addEventListener' : 'attachEvent',
            rem = modern ? 'removeEventListener' : 'detachEvent',
            pre = modern ? '' : 'on',
            init = function (e) {
                if (e.type == 'readystatechange') if (doc.readyState != 'complete') return;
                (e.type == 'load' ? win : doc)[rem](pre + e.type, init, false);
                if (!done) {
                    done = true;
                    fn.call(win, e.type || e);
                }
            },
            poll = function () {
                try {
                    root.doScroll('left');
                } catch (e) {
                    setTimeout(poll, 50);
                    return;
                }
                init('poll');
            };
        if (doc.readyState == 'complete') fn.call(win, 'lazy');
        else {
            if (!modern) if (root.doScroll) {
                try {
                    top = !win.frameElement;
                } catch (e) {
                }
                if (top) poll();
            }
            doc[add](pre + 'DOMContentLoaded', init, false);
            doc[add](pre + 'readystatechange', init, false);
            win[add](pre + 'load', init, false);
        }
    })(window, function () {
        var a = document.getElementsByClassName("bookly-staff-cabinet")[0];
        while (a) {
            try {
                if (getComputedStyle(a).zIndex !== 'auto') {
                    a.style.zIndex = "auto";
                }
            } catch (e) {
            }
            a = a.parentNode;
        }
        window.booklyStaffCalendar({
            staff_id: <?php echo (int) $staff_id ?>
        });
    });
    var ajaxurl = <?php echo json_encode( admin_url( 'admin-ajax.php' ) ) ?>;
</script>
<style>
    .fc-slats tr { height: <?php echo max( 21, (int) ( 0.43 * get_option( 'bookly_gen_time_slot_length' ) ) ) ?>px; }
    .fc-time-grid-event.fc-short .fc-time::after { content: '' !important; }
</style>
<div id="bookly-tbs" class="wrap bookly-staff-cabinet">
    <div class="bookly-tbs-body">
        <div class="bookly-fc-inner">
            <div class="bookly-margin-top-xlg">
                <div class="fc-loading-inner" style="display: none">
                    <div class="fc-loading"></div>
                </div>
                <div id="bookly-fc-wrapper" class="bookly-calendar">
                    <div class="bookly-js-calendar-element"></div>
                </div>
                <?php Appointment\Edit\Dialog::render() ?>
                <?php Bookly\Backend\Modules\Calendar\Proxy\Shared::renderAddOnsComponents() ?>
            </div>
        </div>
        <?php Appointment\Delete\Dialog::render() ?>
    </div>
    <button type="button" class="btn btn-default bookly-btn-block-xs bookly-js-export-btn"><i class="glyphicon glyphicon-export"></i> <?php _e( 'Export to CSV', 'bookly' ) ?></button>
    <div id="bookly-js-export-dialog" class="modal fade" tabindex=-1 role="dialog">
        <div class="modal-dialog">
            <form action="<?php echo admin_url( 'admin-ajax.php?action=bookly_staff_cabinet_export_appointments' ) ?>" method="POST">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                        <div class="modal-title h2"><?php _e( 'Export to CSV', 'bookly' ) ?></div>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <div class="radio">
                                <label><input type="radio" name="export_type" value="displayed" checked> <?php _e( 'Displayed appointments', 'bookly' ) ?></label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="export_type" value="upcoming"> <?php _e( 'Upcoming appointments', 'bookly' ) ?></label>
                            </div>
                            <div class="radio">
                                <label><input type="radio" name="export_type" value="all"> <?php _e( 'All appointments', 'bookly' ) ?></label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="bookly-csv-delimiter"><?php _e( 'Delimiter', 'bookly' ) ?></label>
                            <select name="delimiter" id="bookly-csv-delimiter" class="form-control">
                                <option value=","><?php _e( 'Comma (,)', 'bookly' ) ?></option>
                                <option value=";"><?php _e( 'Semicolon (;)', 'bookly' ) ?></option>
                            </select>
                        </div>
                        <div class="form-group">
                            <div class="checkbox"><label><input checked name="exp[start_date]" type="checkbox" /><?php _e( 'Booking Time', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[customer_name]" type="checkbox" /><?php _e( 'Customer Name', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[customer_phone]" type="checkbox" /><?php _e( 'Customer Phone', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[customer_email]" type="checkbox" /><?php _e( 'Customer Email', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[service_title]" type="checkbox" /><?php _e( 'Service', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[service_duration]" type="checkbox" /><?php _e( 'Duration', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[status]" type="checkbox" /><?php _e( 'Status', 'bookly' ) ?></label></div>
                            <div class="checkbox"><label><input checked name="exp[payment]" type="checkbox" /><?php _e( 'Payment', 'bookly' ) ?></label></div>
                            <?php if ( Config::showNotes() ): ?>
                                <div class="checkbox"><label><input checked name="exp[notes]" type="checkbox" /><?php echo esc_html( Common::getTranslatedOption( 'bookly_l10n_label_notes' ) ) ?></label></div>
                            <?php endif ?>
                            <?php foreach ( $custom_fields as $field ) : ?>
                                <?php if ( $field->type != 'file' ) : ?>
                                    <div class="checkbox"><label><input checked name="custom-field[<?php echo $field->id ?>]" type="checkbox"/><?php echo $field->label ?></label></div>
                                <?php endif ?>
                            <?php endforeach ?>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" class="bookly-js-export-start" name="start_date" value="" />
                        <input type="hidden" class="bookly-js-export-end" name="end_date" value="" />
                        <?php Inputs::renderCsrf() ?>
                        <?php Buttons::renderSubmit( null, null, __( 'Export to CSV', 'bookly' ) ) ?>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>